Description

Hi, I did some improvements to this plugin which make handling for enduser a lot better I think and are in use in our installations.

In result this are 10 patches, I just append them here. Numbering is in order of apply (patch -p 1 < filename.patch)

Inside each patch is the commit description what this patch does:

1. hide the new repository button when it is disabled

2. the button “create repository” is displayed only once and below the form as all other buttons, too.

3. removed the login inputs for subversion repository 'cause them only are created local

4. set extension ".git” for new git repositories if extension is enabled

5. display orginal svn form if subversion creator isn’t enabled. Belongs to patch 3

6. a better default repository name for git creator

7. some improvements to the creation and add button

8. remove create button from inside form, belongs to some patches before

9. Special repository name input if allow_add_local == false. This means, it has now a more intelligent mask so no wrong

repository names could entered

10. display the clone/checkout url in top of a repository view so user without access to settings page can copy it easly

Hope, this patches helps you and your nice plugin.

Related issues:

Related to SCM Creator (+Github) - Bug #2238: "Create new repository"-Button ... Closed 27 Sep 2013 11 May 2014

Associated revisions

Revision 136 - 11 May 2014 06:51 - Andriy Lesyuk

Updated patched views, fixed substitution (#2238), hiding login/password (#2290)

Revision 137 - 11 May 2014 07:45 - Andriy Lesyuk

.git extension for Git external URL (#2290), removed login/password hiding

Revision 138 - 11 May 2014 12:35 - Andriy Lesyuk

Sequent repository names fix (#2290)

History

#1 - 06 May 2014 16:18 - Andriy Lesyuk

- Status changed from New to Under Verification

- Target version set to 0.5.0b

Wow! Thanks, Elektritter!

I will review them.
#2 - 08 May 2014 12:27 - Elektritter Messinger

- File 0013-Fix-a-problem-with-creating-svn-repositories-url.patch added

And of course I found a small bug inside my patches after upload: the js generating the url entry does not insert “file://” in front of subversion urls and

since a while this is required in repository model when using subversion.

(0013 'cause I had a commit mistake and had to revert the commit, so 0012 was the revert of 0011)

#3 - 10 May 2014 22:39 - Andriy Lesyuk

So, the review results (will update this note with new ones):

0001 – I aim to drop patched files in future (_form.html.erb is one of them), when it becomes possible.

This patch adds a new reason to keep them, so I can’t include it.

0002 – I like the current position of the button, so not applying it.

However, your patch shows where is the bug #2238! So, it helped me. Thanks!

0003 – Should we hide login/password, when local repositories are disabled? Why?

Not including it for now (while used to slightly modify it in r136).

0004 – Refactored your patch in r137. Thanks a lot!

0005 – Not including it as well for the same reason.

0006 – Applied refactored patch in r138. Thanks!

0007 – Same as 0002 – not applying.

0008 – Same as 0002 – not applying.

Thanks for sharing patches!

#4 - 11 May 2014 12:45 - Andriy Lesyuk

- Target version deleted (0.5.0b)

- % Done changed from 0 to 70

#5 - 17 Dec 2016 18:47 - Andriy Lesyuk

- Target version set to 0.5.1

Files

0001-Hide-new-repository-button-when-disabled.patch 1.08 KB 06 May 2014 Elektritter Messinger

0002-Create-Repository-button-below-formular-and-only-onc.patch 3.18 KB 06 May 2014 Elektritter Messinger

0003-Remove-login-inputs-from-svn-repository-form-plugin-.patch 2.18 KB 06 May 2014 Elektritter Messinger

0004-GIT-URLs-may-have-the-extension-.git-when.patch 914 Bytes 06 May 2014 Elektritter Messinger

0005-Show-original-svn-form-if-SubversionCreator-isn-t-en.patch 972 Bytes 06 May 2014 Elektritter Messinger

0006-Better-default-repository-name-for-GitCreator.patch 1.45 KB 06 May 2014 Elektritter Messinger

0007-display-creation-button-below-form.patch 4.38 KB 06 May 2014 Elektritter Messinger

0008-removed-create-repository-button-from-inside-form-it.patch 3.79 KB 06 May 2014 Elektritter Messinger

0009-Special-repository-name-input-if-allow_add_local-fal.patch 11.2 KB 06 May 2014 Elektritter Messinger

0010-Use-repository-detail-view-hook-for-displaying-the-u.patch 2.77 KB 06 May 2014 Elektritter Messinger

0013-Fix-a-problem-with-creating-svn-repositories-url.patch 2.51 KB 08 May 2014 Elektritter Messinger
